Package org.apache.lucene.queryparser.xml

# Class CorePlusQueriesParser

java.lang.Object
org.apache.lucene.queryparser.xml.CoreParser
org.apache.lucene.queryparser.xml.CorePlusQueriesParser

All Implemented Interfaces:
  `SpanQueryBuilder`, `QueryBuilder`

Direct Known Subclasses:
  `CorePlusExtensionsParser`

public class CorePlusQueriesParser extends CoreParser
Assembles a QueryBuilder which uses Query objects from Lucene's `queries` module in addition to core queries.

## Field Summary

### Fields inherited from class org.apache.lucene.queryparser.xml.CoreParser

`analyzer, defaultField, DISALLOW_EXTERNAL_ENTITY_RESOLVER, parser, queryFactory, spanFactory`

## Constructor Summary

Constructors
Modifier
Constructor
Description
``
`CorePlusQueriesParser(String defaultField, Analyzer analyzer)`
Constructs an XML parser that creates a QueryParser for each UserQuery request.
`protected`
`CorePlusQueriesParser(String defaultField, Analyzer analyzer, QueryParser parser)`
``
`CorePlusQueriesParser(Analyzer analyzer, QueryParser parser)`
Construct an XML parser that uses a single instance QueryParser for handling UserQuery tags - all parse operations are synchronized on this parser

## Method Summary

### Methods inherited from class org.apache.lucene.queryparser.xml.CoreParser

`addQueryBuilder, addSpanBuilder, addSpanQueryBuilder, getEntityResolver, getErrorHandler, getQuery, getSpanQuery, parse`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CorePlusQueriesParser

public CorePlusQueriesParser(Analyzer analyzer, QueryParser parser)
Construct an XML parser that uses a single instance QueryParser for handling UserQuery tags - all parse operations are synchronized on this parser

Parameters:
  `parser` - A QueryParser which will be synchronized on during parse calls.

### CorePlusQueriesParser

public CorePlusQueriesParser(String defaultField, Analyzer analyzer)
Constructs an XML parser that creates a QueryParser for each UserQuery request.

Parameters:
  `defaultField` - The default field name used by QueryParsers constructed for UserQuery tags

### CorePlusQueriesParser

protected CorePlusQueriesParser(String defaultField, Analyzer analyzer, QueryParser parser)